package appstore

import "errors"

var (
	ErrAppLookup              = errors.New("failed to find app")
	ErrAppNotFound            = errors.New("failed to find app on the App Store")
	ErrApplyLegacyPatches     = errors.New("failed to apply legacy patches")
	ErrApplyPatches           = errors.New("failed to apply patches")
	ErrAuthCodeRequired       = errors.New("auth code is required")
	ErrCheckDirectory         = errors.New("failed to determine if the supplied path is a directory")
	ErrCreateDestinationFile  = errors.New("failed to create destination file")
	ErrCreateMetadataFile     = errors.New("failed to create metadata file")
	ErrCreateRequest          = errors.New("failed to create HTTP request")
	ErrCreateSinfFile         = errors.New("failed to create sinf file")
	ErrDecompressInfoFile     = errors.New("failed to open decompressed info file")
	ErrDecompressManifestFile = errors.New("failed to open decompressed manifest file")
	ErrDownloadFile           = errors.New("failed to download file")
	ErrEncodeMetadataFile     = errors.New("failed to encode metadata")
	ErrFileWrite              = errors.New("failed to write file")
	ErrGeneric                = errors.New("failed due to an unknown error")
	ErrGetAccount             = errors.New("failed to get account")
	ErrGetBundleName          = errors.New("failed to determine name of app bundle")
	ErrGetCurrentDirectory    = errors.New("failed to get current directory path")
	ErrGetData                = errors.New("failed to get data")
	ErrGetExecutablePath      = errors.New("failed to get executable path")
	ErrGetFileMetadata        = errors.New("failed to get file metadata")
	ErrGetInfoFile            = errors.New("failed to read info file")
	ErrGetKeychainItem        = errors.New("failed to read item from keychain")
	ErrGetMAC                 = errors.New("failed to get MAC address")
	ErrGetManifestFile        = errors.New("failed to read manifest file")
	ErrInvalidCountryCode     = errors.New("invalid country code")
	ErrInvalidResponse        = errors.New("received 0 items from the App Store; expected 1 or more")
	ErrInvalidStoreFront      = errors.New("could not infer country code from store front")
	ErrLicenseExists          = errors.New("account already has a license for this app")
	ErrLicenseRequired        = errors.New("license is required")
	ErrLogin                  = errors.New("failed to log in")
	ErrMarshal                = errors.New("failed to marshal data")
	ErrOpenFile               = errors.New("failed to open file")
	ErrOpenZipFile            = errors.New("failed to open zip file")
	ErrPaidApp                = errors.New("paid apps cannot be purchased")
	ErrPasswordRequired       = errors.New("password is required when not running in interactive mode; use the \"--password\" flag")
	ErrPasswordTokenExpired   = errors.New("password token is expired")
	ErrPatchApp               = errors.New("failed to patch app package")
	ErrPurchase               = errors.New("failed to purchase app")
	ErrRemoveKeychainItem     = errors.New("failed to remove item from keychain")
	ErrRemoveTempFile         = errors.New("failed to remove temporary file")
	ErrReplicateZip           = errors.New("failed to replicate zip")
	ErrRequest                = errors.New("failed to send request")
	ErrResolveDestinationPath = errors.New("failed to resolve destination path")
	ErrSetKeychainItem        = errors.New("failed to save item in keychain")
	ErrUnmarshal              = errors.New("failed to unmarshal data")
	ErrWriteMetadataFile      = errors.New("failed to write metadata")
	ErrWriteSinfData          = errors.New("failed to write sinf data")
	ErrZipSinfs               = errors.New("failed to zip sinfs and sinf paths")
)
